% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RFQTL.R
\name{preMap}
\alias{preMap}
\title{function that prepares genotype and phenotype data for QTL-mapping with random forest}
\usage{
preMap(genotype, maxNAs = floor(nrow(genotype) * 0.5), propVar = 0.75,
  phenotype, sampleInfo, scale = T)
}
\arguments{
\item{genotype}{a binary matrix with strain (rows) X marker (columns) entries. Do not include markers with MAF=1.}

\item{maxNAs}{amount of samples that are allowed to have missing data for a given marker. If this limit is exceeded, the marker is excluded from the genotype.}

\item{propVar}{proportion of genotypical variance that is included in the population-structure covariates}

\item{phenotype}{A vector or matrix with numerical values. A matrix may contain NAs.}

\item{sampleInfo}{A vector with integers indicating to which strain (row in the genotype) the measurement(s) correspond.}

\item{scale}{logical; Should centering and scaling be performed?}
}
\value{
List-object containing the genotype, the groupings of the markers, the mapping-covariates and the phenotype.
}
\description{
function that prepares genotype and phenotype data for QTL-mapping with random forest
}
